org.sqlite.jdbc3

## Class JDBC3Connection

- java.lang.Object
- - org.sqlite.SQLiteConnection
  - - org.sqlite.jdbc3.JDBC3Connection

All Implemented Interfaces:
  AutoCloseable, Connection, Wrapper

Direct Known Subclasses:
  JDBC4Connection

    public abstract class JDBC3Connection
    extends SQLiteConnection

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
`protected` `JDBC3Connection(String url, String fileName, Properties prop)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `clearWarnings()`
`Statement` `createStatement()`
`Statement` `createStatement(int rsType, int rsConcurr)`
`abstract Statement` `createStatement(int rst, int rsc, int rsh)`
`Struct` `createStruct(String t, Object[] attr)`
`String` `getCatalog()`
`int` `getHoldability()`
`Map<String,Class<?>>` `getTypeMap()`
`SQLWarning` `getWarnings()`
`boolean` `isReadOnly()`
`String` `nativeSQL(String sql)`
`CallableStatement` `prepareCall(String sql)`
`CallableStatement` `prepareCall(String sql, int rst, int rsc)`
`CallableStatement` `prepareCall(String sql, int rst, int rsc, int rsh)`
`PreparedStatement` `prepareStatement(String sql)`
`PreparedStatement` `prepareStatement(String sql, int autoC)`
`PreparedStatement` `prepareStatement(String sql, int[] colInds)`
`PreparedStatement` `prepareStatement(String sql, int rst, int rsc)`
`abstract PreparedStatement` `prepareStatement(String sql, int rst, int rsc, int rsh)`
`PreparedStatement` `prepareStatement(String sql, String[] colNames)`
`void` `releaseSavepoint(Savepoint savepoint)`
`void` `rollback(Savepoint savepoint)`
`void` `setCatalog(String catalog)`
`void` `setHoldability(int h)`
`void` `setReadOnly(boolean ro)`
`Savepoint` `setSavepoint()`
`Savepoint` `setSavepoint(String name)`
`void` `setTypeMap(Map map)`

### Methods inherited from class org.sqlite.SQLiteConnection

`abort, addCommitListener, addUpdateListener, checkCursor, checkOpen, close, commit, extractPragmasFromFilename, getAutoCommit, getBusyTimeout, getConnectionConfig, getDatabase, getMetaData, getNetworkTimeout, getSchema, getSQLiteDatabaseMetaData, getTransactionIsolation, getUrl, isClosed, libversion, removeCommitListener, removeUpdateListener, rollback, setAutoCommit, setBusyTimeout, setNetworkTimeout, setSchema, setTransactionIsolation, setTransactionMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Connection

`createArrayOf, createBlob, createClob, createNClob, createSQLXML, getClientInfo, getClientInfo, isValid, setClientInfo, setClientInfo`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### JDBC3Connection

    protected JDBC3Connection(String url,
                              String fileName,
                              Properties prop)
                       throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getCatalog

    public String getCatalog()
                      throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.getCatalog()`

#### setCatalog

    public void setCatalog(String catalog)
                    throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.setCatalog(java.lang.String)`

#### getHoldability

    public int getHoldability()
                       throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.getHoldability()`

#### setHoldability

    public void setHoldability(int h)
                        throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.setHoldability(int)`

#### getTypeMap

    public Map<String,Class<?>> getTypeMap()
                                    throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.getTypeMap()`

#### setTypeMap

    public void setTypeMap(Map map)
                    throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.setTypeMap(java.util.Map)`

#### isReadOnly

    public boolean isReadOnly()
                       throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.isReadOnly()`

#### setReadOnly

    public void setReadOnly(boolean ro)
                     throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.setReadOnly(boolean)`

#### nativeSQL

    public String nativeSQL(String sql)

See Also:
  `Connection.nativeSQL(java.lang.String)`

#### clearWarnings

    public void clearWarnings()
                       throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.clearWarnings()`

#### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.getWarnings()`

#### createStatement

    public Statement createStatement()
                              throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.createStatement()`

#### createStatement

    public Statement createStatement(int rsType,
                                     int rsConcurr)
                              throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.createStatement(int, int)`

#### createStatement

    public abstract Statement createStatement(int rst,
                                              int rsc,
                                              int rsh)
                                       throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.createStatement(int, int, int)`

#### prepareCall

    public CallableStatement prepareCall(String sql)
                                  throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.prepareCall(java.lang.String)`

#### prepareCall

    public CallableStatement prepareCall(String sql,
                                         int rst,
                                         int rsc)
                                  throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.prepareCall(java.lang.String, int, int)`

#### prepareCall

    public CallableStatement prepareCall(String sql,
                                         int rst,
                                         int rsc,
                                         int rsh)
                                  throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.prepareCall(java.lang.String, int, int, int)`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql)
                                       throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.prepareStatement(java.lang.String)`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int autoC)
                                       throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.prepareStatement(java.lang.String, int)`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int[] colInds)
                                       throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.prepareStatement(java.lang.String, int[])`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              String[] colNames)
                                       throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.prepareStatement(java.lang.String, java.lang.String[])`

#### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int rst,
                                              int rsc)
                                       throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.prepareStatement(java.lang.String, int, int)`

#### prepareStatement

    public abstract PreparedStatement prepareStatement(String sql,
                                                       int rst,
                                                       int rsc,
                                                       int rsh)
                                                throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.prepareStatement(java.lang.String, int, int, int)`

#### setSavepoint

    public Savepoint setSavepoint()
                           throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.setSavepoint()`

#### setSavepoint

    public Savepoint setSavepoint(String name)
                           throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.setSavepoint(java.lang.String)`

#### releaseSavepoint

    public void releaseSavepoint(Savepoint savepoint)
                          throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.releaseSavepoint(java.sql.Savepoint)`

#### rollback

    public void rollback(Savepoint savepoint)
                  throws SQLException

Throws:
  `SQLException`
See Also:
  `Connection.rollback(java.sql.Savepoint)`

#### createStruct

    public Struct createStruct(String t,
                               Object[] attr)
                        throws SQLException

Throws:
  `SQLException`